如何解决”可选的模组imagick未被安装或已被禁用”

  • A+
所属分类:WordPress

解决 WordPress 5.x 站点健康( Site Health )检查提示"可选的模组imagick未被安装或已被禁用"问题。

如何解决

输入以下命令安装 imagick:

pecl install imagick

此时会提示 Please provide the prefix of ImageMagick installation [autodetect]

输入:

<div /usr

如果 php 是自行源码编译安装的请输入 php 安装目录,如:/usr/local

如果出现 configure: error: not found. Please provide a path to MagickWand-config or Wand-config program 错误,执行:

yum install ImageMagick-devel

在php.ini文件中加入一行:

extension=imagick.so

重启 php-fpm 服务:

systemctl restart php-fpm

文章来源:https://www.24kplus.com/wordpress/660.html

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: